part of 'home_cubit.dart';

@immutable
abstract class HomeState extends Equatable {
  const HomeState();

  @override
  List<Object> get props => [];
}

class HomeInitial extends HomeState {}

class HomeLoading extends HomeState {}

class HomeSuccess extends HomeState {
  final List<Recipe> recipes;
  const HomeSuccess(this.recipes);

  @override
  List<Object> get props => [recipes];
}

class HomeFailure extends HomeState {
  final String message;

  HomeFailure({this.message = ""});

  @override
  List<Object> get props => [message];
}
